# 18. Mutation: Generera zip-arkiv med "ZonesMap" och "Field"

Generera ett zip-arkiv med den valda "ZonesMap" och "Field"-gränsen.

Efter att GraphQL-frågan har körts kan användare hämta ett zip-arkiv från `archiveUrl` egenskapen och exporterade innehåll med `zippade` och `ignorerade` rader.

{% hint style="info" %}
Arkivet består av filer med ändelserna \*.shp, \*.shx, \*.prj, \*.dbf.
{% endhint %}

{% hint style="danger" %}
`archiveUrl` länken är åtkomlig endast under **60 sek**.
{% endhint %}

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutation ExportData {
  exportData(input: {
    vectorAnalysisMaps: [{ 
      uuid: "<placeholder_of_vectoranalysismap_uuid_1>", 
      fieldUuid: "<placeholder_of_field_uuid>" 
    }, { 
      uuid: "<placeholder_of_vectoranalysismap_uuid_2>", 
      fieldUuid: "<placeholder_of_field_uuid>" 
    }]
    fieldBoundaries: [{
      uuid: "<placeholder_of_farm_uuid>", 
      fieldUuid: "<placeholder_of_field_uuid>"
    }]
  }) {
    archiveUrl
    zippedVectorAnalysisMaps {
      uuid
      fieldUuid
      status
    }
    ignoredVectorAnalysisMaps {
      uuid
      fieldUuid
      status
    }
    zippedFieldBoundaries {
      uuid
      fieldUuid
      status
    }
    ignoredFieldBoundaries {
      uuid
      fieldUuid
      status
    }
  }
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/swe/api-dokumentation/oversikt-over-geopard-api-anrop/18.-mutation-generera-zip-arkiv-med-zonesmap-och-field.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
